%global _internal_version cb50e87

%define gir_major 3.0
%define gir_name        %mklibname %{name}-gir %{gir_major}
%define libnemo_extension    %mklibname %{name}-extension
%define libname_devel   %mklibname %{name} -d
%define date 20131125

Name:           nemo
Summary:        File manager for Cinnamon
Version:        2.0.8
Release:        %mkrel 3
License:        GPLv2+ and LGPLv2+
Group:          File tools
URL:            https://github.com/linuxmint/nemo
Source0:        nemo-%{version}.tar.gz
#SourceGet0: https://github.com/linuxmint/nemo/archive/%{version}.tar.gz
##SourceGet0: https://github.com/linuxmint/nemo/tarball/%{_internal_version}
Source1:        nemo.css
Source2:        gtk.css
Source3:        gtk-dark.css
Source4:        nemo-mageia.gschema.override
Requires:       gvfs
Requires:       gnome-icon-theme
Requires:       cinnamon-desktop
Requires:       cinnamon-translations

BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  rarian
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(tracker-sparql-0.16)

# needed for theme subpackage
BuildRequires:  gnome-themes-standard

# the main binary links against libnemo-extension.so
# don't depend on soname, rather on exact version
Requires:       %{libnemo_extension} = %{version}-%{release}

#Patch0:         remove_open_terminal.patch
# Upstream commit fe014f8
Patch0: nemo-2.0.8-mga-transparent-window.patch 

%description
Nemo is the file manager and graphical shell for the Cinnamon desktop
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote filesystems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the Cinnamon desktop.

%package -n %{libnemo_extension}
Summary: Nemo extensions library
License: LGPLv2+
Group: Development/GNOME and GTK+

%description -n %{libnemo_extension}
This package provides the libraries used by nemo extensions.

%package -n %{libname_devel}
Summary: Support for developing nemo extensions
License: LGPLv2+
Group: Development/GNOME and GTK+
Requires: %{libnemo_extension} = %{version}-%{release}

%description -n %{libname_devel}
This package provides libraries and header files needed
for developing nemo extensions.

%package -n adwaita-nemo
Summary: Nemo theme fix for Adwaita
Group: Graphical desktop/Cinnamon
Buildarch: noarch
Requires:  gnome-themes-standard

%description -n adwaita-nemo
Nemo theme fix for Adwaita

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libnemo_extension} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
%setup -q -n %{name}-%{version}
#setup -q -n linuxmint-%{name}-%{_internal_version}
%patch0 -p1
sed -i -e 's@DISABLE_DEPRECATED_CFLAGS="-DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED"@@g' configure.in
NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x --disable-more-warnings \
           --disable-update-mimedb \
           --disable-schemas-compile \
           --enable-tracker --disable-static

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
%make V=1

%install
%makeinstall_std
install -D -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/glib-2.0/schemas

desktop-file-install --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# create extensions directoy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/.icon-theme.cache

# theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps/
install -D -p -m 0644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/backgrounds $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-2.0 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-3.0/{gtk.gresource,settings.ini} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/metacity-1 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/index.theme $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/index.theme

%find_lang %name

%files  -f %{name}.lang
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB NEWS README
%{_datadir}/nemo/
%{_datadir}/applications/*
%{_datadir}/mime/packages/nemo.xml
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/nemo.png
%{_datadir}/icons/hicolor/*/actions/nemo-eject.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/dbus-1/services/org.Nemo.service
%{_mandir}/man1/nemo-connect-server.1.*
%{_mandir}/man1/nemo.1.*
%{_libexecdir}/nemo-convert-metadata
%{_datadir}/glib-2.0/schemas/org.nemo.gschema.xml
%{_datadir}/glib-2.0/schemas/nemo-mageia.gschema.override
%{_datadir}/gtksourceview-*/language-specs/nemo_action.lang
%dir %{_libdir}/nemo
%dir %{_libdir}/nemo/extensions-3.0/
%{_datadir}/dbus-1/services/org.freedesktop.NemoFileManager1.service
%{_datadir}/polkit-1/actions/org.nemo.root.policy

%files -n %{libnemo_extension}
%{_libdir}/libnemo-extension.so.*

%files -n adwaita-nemo
%{_datadir}/themes/Adwaita-Nemo/

%files -n %{libname_devel}
%{_includedir}/nemo/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*.typelib


%changelog
* Wed Jan 08 2014 joequant <joequant> 2.0.8-3.mga4
+ Revision: 565561
- push to core/release

* Thu Jan 02 2014 joequant <joequant> 2.0.8-2.mga4
+ Revision: 563979
- replace revert of 6958543 with commit fe014f8

* Wed Jan 01 2014 joequant <joequant> 2.0.8-1.mga4
+ Revision: 563804
- upgrade to 2.0.8

* Wed Oct 23 2013 joequant <joequant> 2.0.2-2.mga4
+ Revision: 546396
- upgrade to 2.0.2

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 539581
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 2.0.0-1.mga4
+ Revision: 492489
- update to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490009
- update to 1.9.1

* Fri Sep 20 2013 joequant <joequant> 1.8.6-0.20130917gitea09d20.2.mga4
+ Revision: 482574
- default icons to on

* Wed Sep 18 2013 joequant <joequant> 1.8.6-0.20130917gitea09d20.1.mga4
+ Revision: 481152
- update to git

* Tue Sep 10 2013 joequant <joequant> 1.8.6-0.20130913git813b84d.4.mga4
+ Revision: 477224
- fix desktop
- update and fix version numbers
- back out of background patch.  It seems to cause problems on my intel
  laptop
- don't conflict with nautilus

* Mon Sep 02 2013 joequant <joequant> 1.8.6-0.2.git60bbdec.mga4
+ Revision: 474272
- upgrade to latest git

* Fri Aug 23 2013 joequant <joequant> 1.8.6-0.1.gite5eaeb0.mga4
+ Revision: 470268
- update to 1.8.6

* Thu Jul 25 2013 joequant <joequant> 1.8.2-1.mga4
+ Revision: 458081
- build fixes
- upgrade tracker to 0.16
- update nemo
- 1.7.6
- sync to latest 1.7 versions of cinnamon
- update to 1.7.1
- sync to latest trunk
- imported package nemo

  + neoclust <neoclust>
    - Remove what is handled by filetriggers
      Package Typelibs in their own package

